<?php
function filter_rest_reactions_query($query_vars, $request) {
    $orderby = $request->get_param('reactions');
    if (isset($orderby)) {
        $query_vars["orderby"] = "meta_value_num";
        $query_vars["meta_key"] = "_vote_count";
        $query_vars["order"] = $orderby;
    }
    return $query_vars;
}

add_filter( 'rest_news_query', 'filter_rest_reactions_query', 10, 2);
add_filter( 'rest_tutorials_query', 'filter_rest_reactions_query', 10, 2);
add_filter( 'rest_forum_query', 'filter_rest_reactions_query', 10, 2);